# Channel Bar Script v1.0 by ThreePts!
# Lets your users have a resident bartender, and order
# drinks and things! Yum!
# Send comments, suggestions, etc.. to threepts@azonline.com


proc pub_bar {nick uhost hand channel rest} {
  global botnick
    putserv "PRIVMSG $nick :<*> Welcome to the IRC Mall Bar, $nick!"
    putserv "PRIVMSG $nick :<*> I'm $botnick, your resident Bartender "
    putserv "PRIVMSG $nick :<*> Use one of the following public commands:"
    putserv "PRIVMSG $nick :---------------------------------------------"
    putserv "PRIVMSG $nick :!beer <brand>   -=- Nice cold beer of your choice"
    putserv "PRIVMSG $nick :!shot <type>    -=- Have a shot of hard liquor"
    putserv "PRIVMSG $nick :!mixed <type>   -=- Mixed drink of your choice"
    putserv "PRIVMSG $nick :!seltzer        -=- Be a wuss and have a seltzer"
    putserv "PRIVMSG $nick :!soda <brand>   -=- Be a wuss and have a soda"
    putserv "PRIVMSG $nick :!cigg <brand>   -=- Buy a pack of smokes, any brand"
    putserv "PRIVMSG $nick :!matches        -=- Need a light? I'ts on the house!"
    putserv "PRIVMSG $nick :--------< Other IRC Mall Bar Commands >--------"
    putserv "PRIVMSG $nick :!buy <nick> <drink> -=- Buy someone a drink!"
    putserv "PRIVMSG $nick :!tip <amount>       -=- Give Plume a tip!"
    putserv "PRIVMSG $nick :!tab <amount>       -=- Pay your tab"
    return 0
}
bind pub - !bar pub_bar
bind msg - !bar pub_bar
bind msg - bar pub_bar

proc pub_beer {nick uhost hand chan rest} {
    if {$rest == ""} {
    putmsg $nick "USAGE: !beer <brand>"
    return 0
   } {
    set brand [lrange $rest 0 end]
    putserv "PRIVMSG $chan :\001ACTION pours some $brand from the tap and slides it to $nick\001"
    return 0
  }
}
bind pub - !beer pub_beer

proc pub_shooter {nick uhost hand chan rest} {
    if {$rest == ""} {
    putmsg $nick "USAGE: !shot <type>"
    return 0
   } {
    set brand [lrange $rest 0 end]
    putserv "PRIVMSG $chan :\001ACTION pours a $brand into a shotglass and hands it to $nick\001" 
    return 0
  }
}
bind pub - !shot pub_shooter
bind pub - !shooter pub_shooter

proc pub_mixed {nick uhost hand chan rest} {
    if {$rest == ""} {
    putmsg $nick "USAGE: !mixed <type>"
    return 0
   } {
    set brand [lrange $rest 0 end]
    putserv "PRIVMSG $chan :\001ACTION mixes a $brand for $nick and sticks an umbrella in it!\001" 
    return 0
  }
}
bind pub - !mixed pub_mixed
 
proc pub_seltzer {nick uhost hand chan rest} {
  putserv "PRIVMSG $chan :\001ACTION throws $nick a seltzer water (wimp)\001"
  return 0
  }
bind pub - !seltzer pub_seltzer
 
proc pub_soda {nick uhost hand chan rest} {
    if {$rest == ""} {
    putmsg $nick "USAGE: !soda <type>"
    return 0
   } {
    set brand [lrange $rest 0 end]
    putserv "PRIVMSG $chan :\001ACTION thinks $nick is a wuss, but pours a $brand anyway\001"
    return 0
  }
}
bind pub - !soda pub_soda
 
proc pub_cigg {nick uhost hand chan rest} {
    if {$rest == ""} {
    putmsg $nick "USAGE: !cigg <type>"
    return 0
   } {
    set brand [lrange $rest 0 end]
    putserv "PRIVMSG $chan :\001ACTION pulls a pack of $brand cigarettes from under the counter and hands them to $nick\001"
    return 0
  }
}
bind pub - !cigg pub_cigg
 
proc pub_matches {nick uhost hand chan rest} {
  putserv "PRIVMSG $chan :\001ACTION graciously lights $nick's cigarette\001"  
  return 0
  }
bind pub - !matches pub_matches
bind pub - !light pub_matches
 
proc pub_buy {nick uhost hand chan rest} {
    if {$rest == ""} {
    putmsg $nick "USAGE: !buy <nick> <drink>"
    return 0
   } {
    set drink [lrange $rest 1 end]
    set who [lindex $rest 0]
    putserv "PRIVMSG $chan :\001ACTION gives $who a $drink, \"Compliments of $nick!\"\001"
    return 0
  }
}
bind pub - !buy pub_buy

proc pub_tip {nick uhost hand chan rest} {
    if {$rest == ""} {
    putmsg $nick "USAGE: !tip <amount>"
    return 0
   } {
    set amount [lrange $rest 0 end]
    putserv "PRIVMSG $chan :\001ACTION takes the $amount, \"Thanks $nick!\"\001"
    return 0
  }
}
bind pub - !tip pub_tip
 
proc pub_pay {nick uhost hand chan rest} {
    if {$rest == ""} {
    putmsg $nick "USAGE: !pay <amount>"
    return 0
   } {
    set amount [lrange $rest 0 end]
    putserv "PRIVMSG $chan :\001ACTION accepts payment of $amount from $nick and rips up the tab, \"That about covers it!\"\001" 
    return 0
  }
}
bind pub - !pay pub_pay
bind pub - !tab pub_pay 

proc fight_kick {nick host hand chan rest} {
  if {$rest == ""} {
    putmsg $nick "Usage: !brawl <nick>"
    return 0
  }
  set who [lindex $rest 0]
  set ignore [lrange $rest 1 end]
    if {$rest == "plume"} {
      putserv "KICK $chan $nick :\002Don't even START with da' bouncer!\002"
      return 0
    }
  putserv "PRIVMSG $chan :\001ACTION notices that $nick and $who are acting up..\001"
  putserv "PRIVMSG $chan :\001ACTION grabs $nick and $who then throws them out the window!\001"
  putserv "KICK $chan $nick :\002Consider yourself bounced suckah!\002"
  putserv "KICK $chan $who :\002You better sober up too, scumbag!\002"
}
bind pub o !brawl fight_kick
bind pub o !fight fight_kick

proc bouncer {nick host hand chan rest} {
 global channel
  if {$rest == ""} {
    putmsg $nick "Usage: !bounce <nick>"
    return 0
  }
  set who [lindex $rest 0]
  set ignore [lrange $rest 1 end]
  putserv "PRIVMSG $chan :\001ACTION has been asked by $nick to bounce $who\001"
  putserv "PRIVMSG $chan :\001ACTION grabs $who's collar and boots their fat butt out the door!\001"
  putserv "KICK $chan $who :\002I'm cuttin' you off sucka!!\002"
}
bind pub o !bounce bouncer

