#
#     Script: movies.tcl v1.0
#     Author: ThreePts (threepts@icom.net)
#     Date Created: 7/30/96
#     Date Released: 7/31/96
#

proc pub_movie {nick uhost hand channel rest} {
  global botnick
    putserv "PRIVMSG $nick :<*> Welcome to $channel, $nick!"
    putserv "PRIVMSG $nick :<*> I'm $botnick, your resident Movie Bot "
    putserv "PRIVMSG $nick :<*> Use one of the following public commands:"
    putserv "PRIVMSG $nick :---------------------------------------------"
    putserv "PRIVMSG $nick :!ticket <movie>   -=- Buy a Ticket for a Movie."
    putserv "PRIVMSG $nick :!food-court       -=- Check whats at the food court."
    putserv "PRIVMSG $nick :!bathroom         -=- Go to the BathRoom"
    putserv "PRIVMSG $nick :!gf               -=- Who is Your Female Date?"
    putserv "PRIVMSG $nick :!bf               -=- Whos is Your Male Date?"
    return 0
  )
}
bind pub - !movies pub_movie
bind msg - !movies pub_movie
bind msg - movies pub_movie

proc pub_date {nick uhost hand channel rest} {
  global botnick
    putserv "notice $nick :!snuggle <nick>     -=- Snuggle with Your Date."
    putserv "notice $nick :!hug <nick>         -=- Give Your Date a Hug."
    putserv "notice $nick :!kiss <nick>        -=- Give Your Date a kiss!"
    return 0
  )
}
bind pub - !date pub_date

proc pub_food {nick uhost hand channel rest} {
  global botnick
    putserv "notice $nick :!beer <type>        -=- Order Yourself a Beer."
    putserv "notice $nick :!soda <type>        -=- Order Yourself a Soda."
    putserv "notice $nick :!hot-tamales        -=- Get Some Hot Tamales."
    putserv "notice $nick :!m&m                -=- Get Some M & M's"
    putserv "notice $nick :!pay <amount>       -=- Pay For Your Food."
    return 0
  )
}
bind pub - !food-court pub_food

proc pub_bathroom {nick uhost hand channel rest} {
  global botnick
    putserv "notice $nick :Yo.. What All is There to Do in a Bathroom? huh? huh?"
    return 0
  )
}
bind pub - !bathroom pub_bathroom

proc pub_soda {nick uhost hand channel arg} {
  global botnick
    if {$arg == ""} {
    putmsg $nick "USAGE: !soda <type>"
    return 0
   } {
    set brand [lrange $arg 0 end]
    putserv "PRIVMSG $channel :\001ACTION pours $brand into a Large cup and hands it to $nick. \"that will be 2.00\"\001"
    return 0
  }
}
bind pub - !soda pub_soda

proc pub_hot {nick uhost hand channel arg} {
  global botnick
    putserv "PRIVMSG $channel :\001ACTION hands $nick a large box of Hot Tamales. \"That Will Be 2.50\"\001"    
    return 0
  )
}
bind pub - !hot-tamales pub_hot

proc pub_m&m {nick uhost hand channel arg} {
  global botnick
    putserv "PRIVMSG $channel :\001ACTION hands $nick a box of M&M's.. \"That Will Be 2.00\"\001"
    return 0
  )
}
bind pub - !m&m pub_m&m

proc pub_hug {nick uhost hand channel arg} {
  global botnick
    if {$arg == ""} {
    putmsg $nick "USAGE: !hug <nick>"
    return 0
   } {
    set who [lrange $arg 0 end]
    putserv "PRIVMSG $channel :\001ACTION watches $nick wrap there arm around $who and give them a big ol' hug.\001"
    return 0
  }
}
bind pub - !hug pub_hug

proc pub_kiss {nick uhost hand channel arg} {
  global botnick
    if {$arg == ""} {
    putmsg $nick "USAGE: !kiss <nick>"
    return 0
   } {
    set who [lrange $arg 0 end]
    putserv "PRIVMSG $channel :\001ACTION watches $nick start to gently kiss $who.. \"It looks like $who is enjoying it..\"\001"
    return 0
  }
}
bind pub - !kiss pub_kiss

proc pub_gf {nick uhost hand channel arg} {
  global botnick
    if {$arg == ""} {
    putmsg $nick "USAGE: !bf <Male nick>"
    return 0
   } {
    set who [lrange $arg 0 end]
    putserv "PRIVMSG $channel :\001ACTION notice $nick has brought $who with her to the movies! \001"
    putserv "notice $nick :Type !date for the commands you can do with your date."
   return 0
  }
}
bind pub - !bf pub_gf

proc pub_bf {nick uhost hand channel arg} {
  global botnick
    if {$arg == ""} {
    putmsg $nick "USAGE: !gf <Female nick>"
    return 0
   } {
    set who [lrange $arg 0 end]
    putserv "PRIVMSG $channel :\001ACTION notice $nick brought $who to the movies.. Dang he is lucky.. She is FWINE!!\001"
    putserv "notice $nick :Type !date for the commands you can do with your date."
    return 0
  }
}
bind pub - !gf pub_bf

proc pub_snuggle {nick uhost hand channel arg} {
  global botnick
    if {$arg == ""} {
    putmsg $nick "USAGE: !snuggle <nick>"
    return 0
   } {
    set who [lrange $arg 0 end]
    putserv "PRIVMSG $channel :\001ACTION watches as $nick starts to cuddle with $who. \001"
    return 0
  }
}
bind pub - !snuggle pub_snuggle

proc pub_beer {nick uhost hand channel arg} {
  global botnick
    if {$arg == ""} {
    putmsg $nick "USAGE: !beer <brand>"
    return 0
   } {
    set brand [lrange $arg 0 end]
    putserv "PRIVMSG $channel :\001ACTION pours some $brand from the tap and slides it to $nick\001"
    return 0
  }
}
bind pub - !beer pub_beer

proc pub_ticket {nick uhost hand channel arg} {
  global botnick
    if {$arg == ""} {
    putmsg $nick "USAGE: !ticket <movie>"
    return 0
   } {
    set movie [lrange $arg 0 end]
    putserv "PRIVMSG $channel :\001ACTION hands $nick his movie ticket for $movie . Enjoy the Movie!\001"
    return 0
  }
}
bind pub - !ticket pub_ticket

proc pub_pay {nick uhost hand channel arg} {
  global botnick
    if {$arg == ""} {
    putmsg $nick "USAGE: !pay <amount>"
    return 0
   } {
    set amount [lrange $arg 0 end]
    putserv "PRIVMSG $channel :\001ACTION accepts payment of $amount from $nick.\001" 
    return 0
  }
}
bind pub - !pay pub_pay

