#
#     Script: pizza.tcl v1.0
#     Author: ThreePts (threepts@icom.net)
#     Date Created: ?/?/96
#     Date Released: 7/31/96
#

proc pub_pizzaria {nick uhost botnick hand channel rest} {
   global botnick
    putserv "PRIVMSG $nick :<*> Welcome to the IRC Mall Pizzaria, $nick!"
    putserv "PRIVMSG $nick :<*> I'm your resident pizza tosser."
    putserv "PRIVMSG $nick :<*> Use one of the following public commands:"
    putserv "PRIVMSG $nick :---------------------------------------------------"
    putserv "PRIVMSG $nick :+pizza <type>           -=- Nice a hot pizza of your choice"
    putserv "PRIVMSG $nick :+bread <type>           -=- Have some hot breadsticks of your choice" 
    putserv "PRIVMSG $nick :+wings <how spicy?>     -=- Have some wings as spicy as you want"
    putserv "PRIVMSG $nick :+salad <type>           -=- Have a fresh tossed salad"
    putserv "PRIVMSG $nick :+pizza#                 -=- Order a pizza for the whole channel!"
    putserv "PRIVMSG $nick :+deliver <who> <items>   -=- Get someone to deliver stuff!"
    putserv "PRIVMSG $nick :+tip <amount>            -=- Give BucksBoy a tip!"
    putserv "PRIVMSG $nick :+pay <amount>            -=- Pay your bill"
    return 0
}

bind pub - +pizzaria pub_pizzaria

proc pub_pizza# {nick uhost hand chan rest} {
    set brand [lindex $rest 0]
    putserv "PRIVMSG $chan :** Pizza Delivery **"
    putserv "PRIVMSG $chan :\001ACTION passes out a pizza to everyone on the channel!\001"
    return 0
   }

bind pub - +pizza# pub_pizza#

proc pub_pizza {nick uhost hand chan rest} {
    if {$rest == ""} {
    putmsg $nick "USAGE +pizza <type>"
    return 0
   } {
    set brand [lrange $rest 1 end]
    set type [lindex $rest 0]
    putserv "PRIVMSG $chan :\001ACTION bakes a pizza with $type on it and brings it over to $nick.\001"
    return 0
   } 
}
bind pub - +pizza pub_pizza

proc pub_bread {nick uhost hand chan rest} {
    if {$rest == ""} {
    putmsg $nick "USAGE: +bread <type>"
    return 0
   } {
    set brand [lrange $rest 1 end]
    set type [lindex $rest 0]
    putserv "PRIVMSG $chan :\001ACTION bakes some $type breadsticks and puts them in a basket. Then brings them over to $nick.\001"
    return 0
  }
}
bind pub - +bread pub_bread
bind pub - +breadsticks pub_bread

proc pub_wings {nick uhost hand chan rest} {
    if {$rest == ""} {
    putmsg $nick "USAGE: +wings <temp.>
    return 0
   } {
    set brand [lrange $rest 1 end]
    set type [lindex $rest 0]
    putserv "PRIVMSG $chan :\001ACTION cooks a dozen wings $type and brings them over to $nick!\001"
    return 0
  }
}

bind pub - +wings pub_wings

proc pub_salad {nick uhost hand chan rest} {
    if {$rest == ""} {
    putmsg $nick "USAGE: +salad <type>"
    return 0
   } {
    set brand [lrange $rest 1 end]
    set type [lindex $rest 0]
    putserv "PRIVMSG $chan :\001ACTION tosses a fresh $type salad for $nick.\001"
    return 0
  }
}

bind pub - +salad pub_salad


proc pub_tip {nick uhost hand chan rest} {
    if {$rest == ""} {
    putmsg $nick "USAGE: +tip <amount>"
    return 0
   } {
    set amount [lrange $rest 0 end]
    set tip [lindex $rest 0]
    putserv "PRIVMSG $chan :\001ACTION takes the $tip, Thanks $nick!\001"
    return 0
  }
}
bind pub - +tip pub_tip

proc pub_deliver {nick uhost hand chan rest} {
    if {$rest == ""} {
    putmsg $nick "USAGE: +deliver <who> <item>"
    return 0
   } {
    set who [lindex $rest 0]
    set thingy [lindex $rest 1]
    putserv "PRIVMSG $chan :\001ACTION has his cute delivery boy deliver some $thingy to $who.\001"
    return 0
   }
}
bind pub - +deliver pub_deliver

proc pub_pay {nick uhost hand chan rest} {
    if {$rest == ""} {
    putmsg $nick "USAGE: +pay <amount>"
    return 0
   } {
    set amount [lrange $rest 1 end]
    set pay [lindex $rest 0]
    putserv "PRIVMSG $chan :\001ACTION accepts payment of $pay from $nick and rips up the bill, That about covers it!\001"
    return 0
  }
}
bind pub - +pay pub_pay
bind pub - +tab pub_pay


