#
#     Script: icecream.tcl v1.0
#     Author: ThreePts (threepts@icom.net)
#     Date Created: 3/30/96
#     Date Released: 7/31/96
#


proc pub_icecream {nick uhost botnick hand chan args} {
    putserv "PRIVMSG $nick :<*> Welcome to the Ice Cream Parlor, $nick!"
    putserv "PRIVMSG $nick :<*> I'm your resident Ice Cream Man."
    putserv "PRIVMSG $nick :<*> Use one of the following public commands:"
    putserv "PRIVMSG $nick :---------------------------------------------------"
    putserv "PRIVMSG $nick :+1scoop <type>          -=- Have a scoop of ice cream of your choice"
    putserv "PRIVMSG $nick :+2scoop <type> <type>   -=- Have a double scoop of ice cream of your choice"
    putserv "PRIVMSG $nick :+split                  -=- Have a delicious banana split!"
    putserv "PRIVMSG $nick :+sprinkles              -=- Put some sprinkles on your ice cream!"
    putserv "PRIVMSG $nick :+nuts                   -=- Put some nuts on your Ice Cream!"
    putserv "PRIVMSG $nick :+topping <type>         -=- Cheery? Chocolate? Butterscotch?"
    putserv "PRIVMSG $nick :+sundae <nick> <flavor> -=- Send a Friend a Sundae!"
    return 0
}

bind pub - +icecream pub_icecream

proc pub_1scoop {nick uhost hand chan rest} {
    set brand [lindex $rest 0]
    putserv "PRIVMSG $chan :\001ACTION scoops out some $brand ice cream and sticks in into a cone. Here ya go $nick !!\001"
    return 0
   }

bind pub - +1scoop pub_1scoop

proc pub_2scoop {nick uhost hand chan rest} {
    set brand [lrange $rest 1 end]
    set type [lindex $rest 0]
    putserv "PRIVMSG $chan :\001ACTION scoops out some $brand and $type ice cream and puts it into a cone. Here ya go $nick!\001"
    return 0
   } 
bind pub - +2scoop pub_2scoop

proc pub_split {nick uhost hand chan rest} {
    putserv "PRIVMSG $chan :\001ACTION takes out a banana and some ice cream and makes $nick a large banana split!\001"
    return 0
  }
bind pub - +split pub_split

proc pub_sprinkles {nick uhost hand chan rest} {
    putserv "PRIVMSG $chan :\001ACTION takes out the multi-colored sprinkles and puts some on $nick's ice cream!\001"
    return 0
  }
bind pub - +sprinkles pub_sprinkles

proc pub_nuts {nick uhost hand chan rest} {
    putserv "PRIVMSG $chan :\001ACTION chops up some fresh nuts and puts them on $nick's ice cream!\001"
    return 0
  }
bind pub - +nuts pub_nuts


proc pub_topping {nick uhost hand chan rest} {
    set topping [lindex $rest 0]
    putserv "PRIVMSG $chan :\001ACTION takes out a container of $topping and puts it on $nick's ice cream!\001"
    return 0
  }
bind pub - +topping pub_topping

proc pub_send {nick uhost hand chan rest} {
    set who [lindex $rest 0]
    set flavor [lindex $rest 1]
    putserv "PRIVMSG $chan :\001ACTION make a $flavor sundae for $who. Compliments of $nick!\001"
    return 0
   }
bind pub - +sundae pub_send

